umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Uml::ParameterDirection Namespace Reference

## Enumerations
enum | Enum { In , InOut , Out }

## Functions
QString | toString (Enum item)
Enum | fromString (const QString &item)
Enum | fromInt (int item)

## Detailed Description

Direction of operation parameters: in = operation uses the parameter as an input value out = operation fills the parameter as a return value inout = operation both reads and writes the parameter The numeric values of this enum are not currently saved to file.

## Enumeration Type Documentation

## ◆ Enum

enum Uml::ParameterDirection::Enum

Enumerator
In |
InOut |
Out |

## Function Documentation

## ◆ fromInt()

Enum Uml::ParameterDirection::fromInt | ( | int | item | ) |

Convert an integer item into ParameterDirection representation.

Parameters

  item | integer value to convert

Returns
  ParameterDirection enum

## ◆ fromString()

Enum Uml::ParameterDirection::fromString | ( | const QString & | item | ) |

Return ParameterDirection corresponding to the given string.

## ◆ toString()

QString Uml::ParameterDirection::toString | ( | Enum | item | ) |

Return string corresponding to the given ParameterDirection.